Bug 443209 - anaconda should remove "Upgrade to ..." from grub menu after upgrade with preupgrade
anaconda should remove "Upgrade to ..." from grub menu after upgrade with pre...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-19 05:41 EDT by Ronny Buchmann
Modified: 2008-11-26 01:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 01:13:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ronny Buchmann 2008-04-19 05:41:20 EDT
Description of problem:
preupgrade system
start upgrade
after upgrade, boot menu entry is not removed and still default, so installer
starts again

Version-Release number of selected component (if applicable):
rawhide of today (2008-04-19)
Comment 1 Jeremy Katz 2008-04-22 15:14:44 EDT
(No preupgrade component to reassign to yet)

It'd actually be nice I think if the preupgrade package did this itself in its
%post (or %preun) -- that'd keep anaconda from having to keep track of exactly
what it should be trying to remove.

Also, it might be nice if preupgrade used the grub one-shot default rather than
permanently changing the default.
Comment 2 Will Woods 2008-04-22 15:42:21 EDT
(In reply to comment #1)
> (No preupgrade component to reassign to yet)

This was supposed to be getting fixed - for now, file tickets in trac: 
http://fedorahosted.org/preupgrade/

> It'd actually be nice I think if the preupgrade package did this itself in its
> %post (or %preun) -- that'd keep anaconda from having to keep track of exactly
> what it should be trying to remove.

Oh, so when the preupgrade package gets installed during the upgrade, it could
clean up after itself? I guess that makes sense. Something like: 
  grubby --remove-kernel=/boot/upgrade/vmlinuz
  rm -rf /boot/upgrade
should do it.

> Also, it might be nice if preupgrade used the grub one-shot default rather
> than permanently changing the default.

Not sure how to configure that. Grubby doesn't seem to support it. Any further
info on this would be appreciated.
Comment 3 Jeremy Katz 2008-04-22 15:52:12 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > It'd actually be nice I think if the preupgrade package did this itself in its
> > %post (or %preun) -- that'd keep anaconda from having to keep track of exactly
> > what it should be trying to remove.
> 
> Oh, so when the preupgrade package gets installed during the upgrade, it could
> clean up after itself? I guess that makes sense. Something like: 
>   grubby --remove-kernel=/boot/upgrade/vmlinuz
>   rm -rf /boot/upgrade
> should do it.

Yeah, seems reasonable to me.
 
> > Also, it might be nice if preupgrade used the grub one-shot default rather
> > than permanently changing the default.
> 
> Not sure how to configure that. Grubby doesn't seem to support it. Any further
> info on this would be appreciated.

From `rpm -q grub --changelog`
- add patch from GRUB mailing list from Keir Fraser to add a --once flag to
  savedefault function so that you can have the equivalent of lilo -R 
  functionality (use 'savedefault --default=N --once' from the grub shell)

Not implemented in grubby as it's not supported by all bootloaders
Comment 4 Bug Zapper 2008-05-14 05:42:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Update System 2008-11-21 18:49:17 EST
preupgrade-1.0.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/preupgrade-1.0.0-1.fc10
Comment 6 Fedora Update System 2008-11-26 01:12:33 EST
preupgrade-1.0.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-11-26 01:13:46 EST
preupgrade-1.0.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-11-26 01:22:15 EST
preupgrade-1.0.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.